public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Martin Mokrejs" <mmokrejs@fold.natur.cuni.cz>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-biology/OBO-Edit/
Date: Tue,  7 Feb 2012 23:39:07 +0000 (UTC)	[thread overview]
Message-ID: <6c106f70850276424fe10db3a9d4acd3ddb2122e.mmokrejs@gentoo> (raw)

commit:     6c106f70850276424fe10db3a9d4acd3ddb2122e
Author:     Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
AuthorDate: Tue Feb  7 13:32:14 2012 +0000
Commit:     Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Tue Feb  7 13:32:14 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=6c106f70

added the addpredict() trick from tablet-bin*.ebuild to make the ACCESS DENIED messages quiet, bugs #402507 (learned from bug #387227)

(Portage version: 2.1.10.45/git/Linux x86_64, unsigned Manifest commit)

---
 sci-biology/OBO-Edit/ChangeLog               |    5 +++++
 sci-biology/OBO-Edit/OBO-Edit-2.1.1.6.ebuild |   14 +++++++++++++-
 2 files changed, 18 insertions(+), 1 deletions(-)

diff --git a/sci-biology/OBO-Edit/ChangeLog b/sci-biology/OBO-Edit/ChangeLog
index cc089b2..79c451d 100644
--- a/sci-biology/OBO-Edit/ChangeLog
+++ b/sci-biology/OBO-Edit/ChangeLog
@@ -4,6 +4,11 @@
 
   07 Feb 2012; Martin Mokrejs <mmokrejs@fold.natur.cuni.cz>
   OBO-Edit-2.1.1.6.ebuild:
+  added the addpredict() trick from tablet-bin*.ebuild to make the ACCESS
+  DENIED messages quiet, bugs #402507 (learned from bug #387227)
+
+  07 Feb 2012; Martin Mokrejs <mmokrejs@fold.natur.cuni.cz>
+  OBO-Edit-2.1.1.6.ebuild:
   sci-biology/OBO-Edit: more attempts to get rid of sandbox ACCESS VIOLATION
   SUMMARY errors
 

diff --git a/sci-biology/OBO-Edit/OBO-Edit-2.1.1.6.ebuild b/sci-biology/OBO-Edit/OBO-Edit-2.1.1.6.ebuild
index 0cdb743..356f1bf 100644
--- a/sci-biology/OBO-Edit/OBO-Edit-2.1.1.6.ebuild
+++ b/sci-biology/OBO-Edit/OBO-Edit-2.1.1.6.ebuild
@@ -26,6 +26,16 @@ RDEPEND="virtual/jre"
 
 S="${WORKDIR}"
 
+pkg_setup() {
+        einfo "Fixing java access violations ..."
+        # learned from bug #387227
+
+		# opened a bug #402507 to get this .systemPrefs directory pre-created for everybody
+        addpredict /opt/icedtea-bin-7.2.0/jre/.systemPrefs
+		addpredict /usr/local/bin/OBO-Edit
+
+}
+
 src_prepare(){
 	mkdir -p "${D}"/opt/OBO-Edit2/.install4j || die "Cannot pre-create "${D}"/opt/OBO-Edit2/.install4j/"
 	mkdir -p "${D}"/usr/bin
@@ -40,7 +50,9 @@ src_prepare(){
 	# for user root install4j writes into /opt/icedtea-bin-7.2.0/jre/.systemPrefs or whatever it
 	# found via JAVA_HOME or similar variables
 	# for other users it writes into $HOME/.java/.userPrefs/
-	sed -e "s@/bin/java\" -Dinstall4j.jvmDir=\"\$app_java_home\"@/bin/java\" -Duser.home="${TMPDIR}" -Dinstall4j.jvmDir="${TMPDIR}" -Dsys.symlinkDir="${D}"usr/bin@" -i "${DISTDIR}"/"${PN}"_unix_install4j-"${PV}".sh || die "failed to set userHome and jvmDir where JAVA .systemPrefs can be found"
+
+	# trick setting -Djava.util.prefs.systemRoot="${TMPDIR}" does not work
+	sed -e "s@/bin/java\" -Dinstall4j.jvmDir=\"\$app_java_home\"@/bin/java\" -Duser.home="${TMPDIR}" -Dinstall4j.jvmDir="${TMPDIR}" -Dsys.symlinkDir="${D}"usr/bin -Djava.util.prefs.systemRoot="${TMPDIR}"@" -i "${DISTDIR}"/"${PN}"_unix_install4j-"${PV}".sh || die "failed to set userHome and jvmDir where JAVA .systemPrefs can be found"
 
 	chmod u+rx "${DISTDIR}"/"${PN}"_unix_install4j-"${PV}".sh
 	grep Duser "${DISTDIR}"/"${PN}"_unix_install4j-"${PV}".sh



             reply	other threads:[~2012-02-07 23:39 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2012-02-07 23:39 Martin Mokrejs [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-01-19 11:26 [gentoo-commits] proj/sci:master commit in: sci-biology/OBO-Edit/ Andrew Ammerlaan
2021-01-19 10:49 Andrew Ammerlaan
2016-01-25  8:47 Justin Lecher
2015-09-23 12:48 Justin Lecher
2012-02-07 23:39 Martin Mokrejs
2012-02-07 23:39 Martin Mokrejs
2012-02-07 23:39 Martin Mokrejs
2011-06-25 17:22 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=6c106f70850276424fe10db3a9d4acd3ddb2122e.mmokrejs@gentoo \
    --to=mmokrejs@fold.natur.cuni.cz \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox